function display(m)
%DISPLAY Display an object of class mamdani
%    
%    DISPLAY(M) Display the object m of class mamdani %
%    
%    See also: 
%    
%    

%MAN_PAGE_BEGIN
%
%   @purpose	Display an object of class mamdani
%
%   @synopsis	display(m)
%   @description  Display the object m of class mamdani
%%
%   @see 
%
%MAN_PAGE_END

error(checkargs({m},1,'mamdani'));
ps = struct(m.mapping);
ps.n_rules = m.n_rules;
ps.model_code = m.model_code;
ps.varnames = m.varnames;
ps.rls = m.rls;
ps.mfs = m.mfs;
ps.ling = m.ling;

disp(' ');
disp([inputname(1),' =']);
disp(' ');
disp('A taksug object with the following attributes');
disp(' ');
disp(ps);
disp(' ');
